io.vertx.rxjava.ext.shell.command

## Class Command

- java.lang.Object
- - io.vertx.rxjava.ext.shell.command.Command

-     public class Command
      extends Object

  A Vert.x Shell command, it can be created from any language using the `CommandBuilder.command(java.lang.String)` or from a Java class using `io.vertx.rxjava.ext.shell.command.Command#create`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command(Command delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLI` | `cli()`
    `void` | `complete(Completion completion)` Perform command completion, when the command is done completing it should call or )} method to signal completion is done.
    `Process` | `createProcess()` Create a new process with empty arguments.
    `Process` | `createProcess(List<CliToken> args)` Create a new process with the passed arguments.
    `Object` | `getDelegate()`
    `String` | `name()`
    `static Command` | `newInstance(Command arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Command

          public Command(Command delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### name

          public String name()

      Returns:
        the command name

    - #### cli

          public CLI cli()

      Returns:
        the command line interface, can be null

    - #### createProcess

          public Process createProcess()

      Create a new process with empty arguments.
      Returns:
        the process

    - #### createProcess

          public Process createProcess(List<CliToken> args)

      Create a new process with the passed arguments.
      Parameters:
        `args` - the process arguments
      Returns:
        the process

    - #### complete

          public void complete(Completion completion)

      Perform command completion, when the command is done completing it should call or )} method to signal completion is done.
      Parameters:
        `completion` - the completion object

    - #### newInstance

          public static Command newInstance(Command arg)

Copyright © 2016. All rights reserved.